
import 'basic_response.dart';
import 'discount_add_response.dart';
import 'package:json_annotation/json_annotation.dart';

part 'discount_update_response.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class DiscountUpdateResponseDTO extends BasicResponseDTO {
  DiscountUpdateResponseDTO(
      {required this.values,
      required super.succeeded,
      required super.message});

  UpdatedValues? values;

  factory DiscountUpdateResponseDTO.fromJson(Map<String, dynamic> json) =>
      _$DiscountUpdateResponseDTOFromJson(json);

  @override
  Map<dynamic, dynamic> toJson() => _$DiscountUpdateResponseDTOToJson(this);
}
